Skip to main content

Save a Pinterest Pin

Save an existing Pinterest pin onto one of the connected account's boards (repin).

Endpoint

POST /api/uploadposts/posts/save

Headers

NameValueDescription
AuthorizationApikey your-api-key-hereYour API key for authentication
Content-Typeapplication/jsonRequest body format

Body Parameters (JSON)

NameTypeRequiredDescription
platformStringYesMust be pinterest.
userStringYesProfile username.
post_idStringYesPin ID to save.
pinterest_board_idStringYesBoard to save the pin to.
pinterest_board_section_idStringNoOptional board section.

Example Request

curl -X POST https://api.upload-post.com/api/uploadposts/posts/save \
-H 'Authorization: Apikey your-api-key-here' \
-H 'Content-Type: application/json' \
-d '{
"platform": "pinterest",
"user": "my-profile",
"post_id": "1234567890",
"pinterest_board_id": "board-id",
"pinterest_board_section_id": "optional-section"
}'

Successful Response (200 OK)

{
"success": true,
"post_id": "1234567890",
"url": "https://www.pinterest.com/pin/1234567890/",
"board_id": "board-id",
"board_section_id": "optional-section",
"parent_pin_id": "1234567890"
}